using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATAssigmentType")]
public partial class AtassigmentType
{
    [Key]
    public int Id { get; set; }

    [StringLength(32)]
    public string Name { get; set; } = null!;

    [InverseProperty("AssignmentType")]
    public virtual ICollection<AtinboxEvent> AtinboxEvents { get; set; } = new List<AtinboxEvent>();
}
